Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.shpapi
Class ShapeConst

    java.lang.Object
      org.deegree.io.shpapi.ShapeConst

    public class ShapeConst

extends Object

Class containing all constants needed for reading of a shape file

Version:
  14.12.1999
Author:
  Andreas Poth

Field Summary
`static int` | `PARTS_START` start point of field parts in ESRI shape record
`static int` | `SHAPE_FILE_CODE` A Shape File's magic number.
`static int` | `SHAPE_FILE_HEADER_LENGTH` The length of a shape file header in bytes. (100)
`static int` | `SHAPE_FILE_RECORD_HEADER_LENGTH` The length of a shape file record header in bytes. (8)
`static int` | `SHAPE_FILE_VERSION` The currently handled version of Shape Files.
`static int` | `SHAPE_TYPE_MULTIPOINT` The indicator for a multipoint shape type. (8)
`static int` | `SHAPE_TYPE_NULL` The indicator for a null shape type. (0)
`static int` | `SHAPE_TYPE_POINT` The indicator for a point shape type. (1)
`static int` | `SHAPE_TYPE_POLYGON` The indicator for a polygon shape type. (5)
`static int` | `SHAPE_TYPE_POLYGONZ` The indicator for a polygonz shape type. (15)
`static int` | `SHAPE_TYPE_POLYLINE` The indicator for an polyline shape type. (3)

Constructor Summary
`ShapeConst()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHAPE_FILE_RECORD_HEADER_LENGTH

    public static final int SHAPE_FILE_RECORD_HEADER_LENGTH

  The length of a shape file record header in bytes. (8)

  See Also:
    Constant Field Values

### SHAPE_FILE_HEADER_LENGTH

    public static final int SHAPE_FILE_HEADER_LENGTH

  The length of a shape file header in bytes. (100)

  See Also:
    Constant Field Values

### SHAPE_FILE_CODE

    public static final int SHAPE_FILE_CODE

  A Shape File's magic number.

  See Also:
    Constant Field Values

### SHAPE_FILE_VERSION

    public static final int SHAPE_FILE_VERSION

  The currently handled version of Shape Files.

  See Also:
    Constant Field Values

### SHAPE_TYPE_NULL

    public static final int SHAPE_TYPE_NULL

  The indicator for a null shape type. (0)

  See Also:
    Constant Field Values

### SHAPE_TYPE_POINT

    public static final int SHAPE_TYPE_POINT

  The indicator for a point shape type. (1)

  See Also:
    Constant Field Values

### SHAPE_TYPE_POLYLINE

    public static final int SHAPE_TYPE_POLYLINE

  The indicator for an polyline shape type. (3)

  See Also:
    Constant Field Values

### SHAPE_TYPE_POLYGON

    public static final int SHAPE_TYPE_POLYGON

  The indicator for a polygon shape type. (5)

  See Also:
    Constant Field Values

### SHAPE_TYPE_MULTIPOINT

    public static final int SHAPE_TYPE_MULTIPOINT

  The indicator for a multipoint shape type. (8)

  See Also:
    Constant Field Values

### SHAPE_TYPE_POLYGONZ

    public static final int SHAPE_TYPE_POLYGONZ

  The indicator for a polygonz shape type. (15)

  See Also:
    Constant Field Values

### PARTS_START

    public static final int PARTS_START

  start point of field parts in ESRI shape record

  See Also:
    Constant Field Values

Constructor Detail

### ShapeConst

    public ShapeConst()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org